Karia
ReferencesOpenapiOrigination

Calculate novated vehicle pricing

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/calculate-novated-vehicle

Calculate novated vehicle pricing for the specified quote using the supplied calculation basis and starting value.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
dealId*string
quoteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organisation/string/workspace/string/origination/deal/string/quote/string/calculate-novated-vehicle" \  -H "Content-Type: application/json" \  -d '{    "calculationBasis": "drive_away_price",    "startingValue": "string"  }'
{  "vehiclePrice": {    "exGstAmount": "string",    "gstAmount": "string",    "incGstAmount": "string"  },  "nonDealerOptions": {    "exGstAmount": "0.00",    "gstAmount": "0.00",    "incGstAmount": "0.00"  },  "dealerFees": {    "exGstAmount": "string",    "gstAmount": "string",    "incGstAmount": "string"  },  "stampDuty": {    "amount": "string",    "defaultValue": "2000.00"  },  "initialRegistration": {    "amount": "string",    "defaultValue": "3500.00"  },  "luxuryCarTax": {    "amount": "string",    "estimatedValue": "2000.00"  },  "totalStatutoryCosts": "string",  "gstClaimed": "string",  "calculatedDriveAwayPrice": "string",  "totalVehicleAmountFinanced": "string"}